Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.annotation.processing
Class Completions

    java.lang.Object
      javax.annotation.processing.Completions

    public class Completions

extends Object

Utility class for assembling `Completion` objects.

Since:
  1.6

Method Summary
`static Completion` | `of(String value)` Returns a completion of the value and an empty message
`static Completion` | `of(String value, String message)` Returns a completion of the value and message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### of

    public static Completion of(String value,
                                String message)

  Returns a completion of the value and message.

  Parameters:
    `value` - the text of the completion
    `message` - a message about the completion
  Returns:
    a completion of the provided value and message

### of

    public static Completion of(String value)

  Returns a completion of the value and an empty message

  Parameters:
    `value` - the text of the completion
  Returns:
    a completion of the value and an empty message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.